// Code generated by MockGen. DO NOT EDIT.
// Source: service.go

// Package mock_service is a generated GoMock package.
package mock_service

import (
	gomock "github.com/golang/mock/gomock"
	bank_broker "gitlab.com/imaginadio/golang/bank-broker-domain/bank-broker"
	reflect "reflect"
)

// MockApplication is a mock of Application interface
type MockApplication struct {
	ctrl     *gomock.Controller
	recorder *MockApplicationMockRecorder
}

// MockApplicationMockRecorder is the mock recorder for MockApplication
type MockApplicationMockRecorder struct {
	mock *MockApplication
}

// NewMockApplication creates a new mock instance
func NewMockApplication(ctrl *gomock.Controller) *MockApplication {
	mock := &MockApplication{ctrl: ctrl}
	mock.recorder = &MockApplicationMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockApplication) EXPECT() *MockApplicationMockRecorder {
	return m.recorder
}

// CreateApplication mocks base method
func (m *MockApplication) CreateApplication(app bank_broker.ApplicationInput) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateApplication", app)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateApplication indicates an expected call of CreateApplication
func (mr *MockApplicationMockRecorder) CreateApplication(app interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateApplication", reflect.TypeOf((*MockApplication)(nil).CreateApplication), app)
}

// UpdateApplication mocks base method
func (m *MockApplication) UpdateApplication(app bank_broker.ApplicationJobResponse) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateApplication", app)
	ret0, _ := ret[0].(error)
	return ret0
}

// UpdateApplication indicates an expected call of UpdateApplication
func (mr *MockApplicationMockRecorder) UpdateApplication(app interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateApplication", reflect.TypeOf((*MockApplication)(nil).UpdateApplication), app)
}

// GetApplicationById mocks base method
func (m *MockApplication) GetApplicationById(id string) (bank_broker.Application, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetApplicationById", id)
	ret0, _ := ret[0].(bank_broker.Application)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetApplicationById indicates an expected call of GetApplicationById
func (mr *MockApplicationMockRecorder) GetApplicationById(id interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetApplicationById", reflect.TypeOf((*MockApplication)(nil).GetApplicationById), id)
}

// GetApplicationsByStatus mocks base method
func (m *MockApplication) GetApplicationsByStatus(status string) ([]bank_broker.Application, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetApplicationsByStatus", status)
	ret0, _ := ret[0].([]bank_broker.Application)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetApplicationsByStatus indicates an expected call of GetApplicationsByStatus
func (mr *MockApplicationMockRecorder) GetApplicationsByStatus(status interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetApplicationsByStatus", reflect.TypeOf((*MockApplication)(nil).GetApplicationsByStatus), status)
}
